Hosting
Enable hosting
Enable hosting for a namespace.
POST
/
v1
/
namespace
/
{namespaceId}
/
hosting
TypeScript
import { Agentset } from "agentset";
const agentset = new Agentset({ apiKey: 'agentset_xxx' });
const ns = agentset.namespace('ns_xxx');
const hosting = await ns.hosting.enable();
console.log(hosting);from agentset import Agentset
with Agentset(
namespace_id="ns_123",
token="AGENTSET_API_KEY",
) as a_client:
res = a_client.hosting.enable()
# Handle response
print(res)curl --request POST \
--url https://api.agentset.ai/v1/namespace/{namespaceId}/hosting \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentset.ai/v1/namespace/{namespaceId}/hosting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"namespaceId": "<string>",
"title": "<string>",
"slug": "<string>",
"logo": "<string>",
"ogTitle": "<string>",
"ogDescription": "<string>",
"ogImage": "<string>",
"systemPrompt": "<string>",
"exampleQuestions": [],
"exampleSearchQueries": [],
"welcomeMessage": "<string>",
"citationMetadataPath": "<string>",
"searchEnabled": true,
"rerankConfig": "<unknown>",
"llmConfig": "<unknown>",
"topK": 50,
"protected": true,
"allowedEmails": [],
"allowedEmailDomains": [],
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"success": false,
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#bad-request"
}
}{
"success": false,
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#unauthorized"
}
}{
"success": false,
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#forbidden"
}
}{
"success": false,
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#not-found"
}
}{
"success": false,
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#conflict"
}
}{
"success": false,
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#invite-expired"
}
}{
"success": false,
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#unprocessable-entity"
}
}{
"success": false,
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#rate-limit_exceeded"
}
}{
"success": false,
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#internal-server_error"
}
}⌘I
TypeScript
import { Agentset } from "agentset";
const agentset = new Agentset({ apiKey: 'agentset_xxx' });
const ns = agentset.namespace('ns_xxx');
const hosting = await ns.hosting.enable();
console.log(hosting);from agentset import Agentset
with Agentset(
namespace_id="ns_123",
token="AGENTSET_API_KEY",
) as a_client:
res = a_client.hosting.enable()
# Handle response
print(res)